Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp
Class ElementsOfConcernCollector

    java.lang.Object
      com.sun.msv.verifier.regexp.ElementsOfConcernCollector

All Implemented Interfaces:
  ExpressionVisitor

public class ElementsOfConcernCollector
extends java.lang.Object
implements ExpressionVisitor

Collects "elements of concern". "Elements of concern" are ElementExps that are possibly applicable to the next element. These gathered element declarations are then tested against next XML element.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`ElementsOfConcernCollector()`

Method Summary
`void` | `collect(Expression exp, java.util.Collection result)`
`java.lang.Object` | `onAnyString()`
`java.lang.Object` | `onAttribute(AttributeExp exp)`
`java.lang.Object` | `onChoice(ChoiceExp exp)`
`java.lang.Object` | `onConcur(ConcurExp exp)`
`java.lang.Object` | `onData(DataExp exp)`
`java.lang.Object` | `onElement(ElementExp exp)`
`java.lang.Object` | `onEpsilon()`
`java.lang.Object` | `onInterleave(InterleaveExp exp)`
`java.lang.Object` | `onList(ListExp exp)`
`java.lang.Object` | `onMixed(MixedExp exp)`
`java.lang.Object` | `onNullSet()`
`java.lang.Object` | `onOneOrMore(OneOrMoreExp exp)`
`java.lang.Object` | `onOther(OtherExp exp)`
`java.lang.Object` | `onRef(ReferenceExp exp)`
`java.lang.Object` | `onSequence(SequenceExp exp)`
`java.lang.Object` | `onValue(ValueExp exp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementsOfConcernCollector

    public ElementsOfConcernCollector()

Method Detail

### collect

    public final void collect(Expression exp,
                              java.util.Collection result)

### onAttribute

    public final java.lang.Object onAttribute(AttributeExp exp)

  Specified by:
    `onAttribute` in interface `ExpressionVisitor`

### onChoice

    public final java.lang.Object onChoice(ChoiceExp exp)

  Specified by:
    `onChoice` in interface `ExpressionVisitor`

### onElement

    public final java.lang.Object onElement(ElementExp exp)

  Specified by:
    `onElement` in interface `ExpressionVisitor`

### onOneOrMore

    public final java.lang.Object onOneOrMore(OneOrMoreExp exp)

  Specified by:
    `onOneOrMore` in interface `ExpressionVisitor`

### onMixed

    public final java.lang.Object onMixed(MixedExp exp)

  Specified by:
    `onMixed` in interface `ExpressionVisitor`

### onEpsilon

    public final java.lang.Object onEpsilon()

  Specified by:
    `onEpsilon` in interface `ExpressionVisitor`

### onNullSet

    public final java.lang.Object onNullSet()

  Specified by:
    `onNullSet` in interface `ExpressionVisitor`

### onAnyString

    public final java.lang.Object onAnyString()

  Specified by:
    `onAnyString` in interface `ExpressionVisitor`

### onData

    public final java.lang.Object onData(DataExp exp)

  Specified by:
    `onData` in interface `ExpressionVisitor`

### onValue

    public final java.lang.Object onValue(ValueExp exp)

  Specified by:
    `onValue` in interface `ExpressionVisitor`

### onList

    public final java.lang.Object onList(ListExp exp)

  Specified by:
    `onList` in interface `ExpressionVisitor`

### onRef

    public final java.lang.Object onRef(ReferenceExp exp)

  Specified by:
    `onRef` in interface `ExpressionVisitor`

### onOther

    public final java.lang.Object onOther(OtherExp exp)

  Specified by:
    `onOther` in interface `ExpressionVisitor`

### onSequence

    public final java.lang.Object onSequence(SequenceExp exp)

  Specified by:
    `onSequence` in interface `ExpressionVisitor`

### onConcur

    public final java.lang.Object onConcur(ConcurExp exp)

  Specified by:
    `onConcur` in interface `ExpressionVisitor`

### onInterleave

    public final java.lang.Object onInterleave(InterleaveExp exp)

  Specified by:
    `onInterleave` in interface `ExpressionVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD